Bug 7207 - Cannot export label batches in IE
Summary: Cannot export label batches in IE
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Chris Nighswonger
QA Contact: Ian Walls
URL:
Whiteboard:
Keywords:
Depends on: 6697
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-09 22:24 UTC by Liz Rea
Modified: 2012-10-26 00:51 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
[Signed off] Bug 7207 - Reverting a portion of commit 607b5449bd5cb which breaks the label export script. (1.44 KB, patch)
2011-11-11 18:18 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 7207 - Reverting a portion of commit 607b5449bd5cb which breaks the label export script. (1.67 KB, patch)
2011-11-14 20:49 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 7207 - Reverting a portion of commit 607b5449bd5cb which breaks the label export script. (1.69 KB, patch)
2011-11-15 18:03 UTC, Brendan Gallagher
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2011-11-09 22:24:10 UTC
http://screencast.com/t/hthSz0Uz5

We discussed this on IRC - this is just the formal bug report.

See also Bug 6679, which should have the patch applied that will fix this error.
Comment 1 Chris Nighswonger 2011-11-11 17:59:54 UTC
This will be fixed by the application of these two patches:

http://bugs.koha-community.org/bugzilla3/attachment.cgi?id=6270

http://bugs.koha-community.org/bugzilla3/attachment.cgi?id=6271

in that order.
Comment 2 Liz Rea 2011-11-11 18:18:28 UTC Comment hidden (obsolete)
Comment 3 Ian Walls 2011-11-14 17:36:34 UTC
The line:

@item_numbers = grep{my $number=$_; $number = {item_number => $number}} @item_numbers;

follows the same pattern as the two lines above; should it not also be reverted?  Can we confirm that labels with multiple item numbers work properly with this change still in place?

What this original commit was trying to fix vs. what it actually did here seems divergent... the original bug report is about declaring variables in conditionals.
Comment 4 Liz Rea 2011-11-14 20:49:29 UTC Comment hidden (obsolete)
Comment 5 Liz Rea 2011-11-14 20:50:35 UTC
This latest attachment will need a new signoff, as it's got an additional change in it.
Comment 6 Brendan Gallagher 2011-11-15 18:03:01 UTC Comment hidden (obsolete)
Comment 7 Ian Walls 2011-11-15 18:05:50 UTC
Updated bug has second signoff, and the fix pattern has been extended to all three lines, so I'm going to mark this one as Passed QA.
Comment 8 Paul Poulain 2011-11-16 17:12:22 UTC
Patch pushed, BUT :
* the screen cast did not work for me (I had a FF screen that was all black -and I don't speak about Rugby here ;-) )
* could not test the fix, I just can say the label-print.pl still compiles.

SO : PLEASE DOUBLE TEST !
Comment 9 Ian Walls 2011-11-16 23:46:43 UTC
Updated a library partner of ours that was having a problem: they say it's now fixed in Firefox, but they're still having issues in IE.  Since IE is never a good idea for the staff client, we're okay with the outcome.

Consider this "one more data point"
Comment 10 Liz Rea 2011-12-08 19:38:23 UTC
Re-marking as trivial due to the problem with IE - would be nice to get a fix for that.
Comment 11 Paul Poulain 2012-02-15 16:14:26 UTC
IE is not expected to work, so marking "RESO WONTFIX" for the IE problem. The other problem IS fixed